.TH XRLOGIN 1 Local
.UC 4
.SH NAME
xrlogin \- X client for creating rlogin and telnet sessions
.SH SYNOPSIS
.B xrlogin
[
.B -hostfile
.I file
] [
.B -timeout
.I seconds
] [
.B -ping
.I file
]
.SH DESCRIPTION
.B Xrlogin
is an X client that makes the initiation of
.I rlogin
and
.I telnet
sessions easier.  Each remote login is created with its own window running
.IR xterm .
The window and icon titles are set to be the name of the remote machine.
When the remote session is terminated (such as when the remote user
logs out) the window is removed.
.PP
Before the connection is attempted, the machine name is checked for
existence, and the remote machine is probed via
an external program to make sure that it is up and reachable.
This program is typically one that is included as part of the
.I xrlogin
source, but a program such as
.IR ping (8)
can also be used.
.PP
A file of frequently used hostnames can be created and maintained by
the user.  These names will appear in a scrollable widget
at the right of the window.  A connection can be initiated to any of these
hosts by merely clicking on the appropriate name.  By default this file
is called
.B .xrlogin
in the user's home directory.
.SH OPTIONS
.TP
.B \-hostfile 
Specifies the name of the file that contains commonly used hostnames.
.TP
.B \-timeout
Specifies the number of seconds for
the pinging program
to attempt to reach the machine.  If no answer is received in that
time, ping will declare the machine down.  The default is 5.
.TP
.B \-ping
Specifies the program to use to check for connectivity.  It usually
defaults to something called
.IR tryhost ,
which was written specifically for
.IR xrlogin .
Any executable that is specified here must be prepared to accept two
arguments:  a host name and an integer timeout value (in that order).
It should exit with a non-zero status and a message on standard error
if it detected that something was amiss.
.SH AUTHOR
William LeFebvre, Northwestern University
.SH FILES
.DT
~/.xrlogin	list of commonly used hostnames
/usr/lib/X11/xrlogin/tryhost	xrlogin-specific ping-like program
.br
.SH "SEE ALSO"
.IR xterm (1),
.IR rlogin (1),
.IR telnet (1),
.IR ping (8).
